﻿'Prologue

Public Class frmKeyPress

    Private Sub frmKeyPress_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        Dim intKeyCode As Integer
        Dim strAlt As String
        Dim strControl As String
        Dim strShift As String
        Dim strKeyData As String

        'Determines if Alt key is up or down
        If e.Alt Then
            strAlt = "Down"
        Else
            strAlt = "Up"
        End If

        'Determines if Control key is up or down
        If e.Control Then
            strControl = "Down"
        Else
            strControl = "Up"
        End If

        'Determines if Shift key is up or down
        If e.Shift Then
            strShift = "Down"
        Else
            strShift = "Up"
        End If

        'Returns all the information about a pressed key
        strKeyData = e.KeyData.ToString

        'Determines the keycode for the key that was pressed
        intKeyCode = e.KeyCode

        'Output
        lblKeyCode.Text = intKeyCode.ToString
        lblAlt.Text = strAlt
        lblControl.Text = strControl
        lblShift.Text = strShift
        lblKeyData.Text = strKeyData

        'Displays event
        lblEvent.Text = "KeyDown"

    End Sub


    Private Sub frmKeyPress_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles Me.KeyPress
        Dim chrKey As Char

        'Determine which key was pressed and display it
        chrKey = e.KeyChar
        lblKey.Text = chrKey

        'Displays event
        lblEvent.Text = "KeyPress"

    End Sub



    Private Sub frmKeyPress_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyUp
        'Clears output
        lblAlt.Text = ""
        lblControl.Text = ""
        lblShift.Text = ""

        'Displays event
        lblEvent.Text = "KeyUp"

    End Sub
End Class
