﻿'Prologue


Public Class frmLoanCalculators

    Private Sub frmLoanCalculators_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated
        'Discards startup screen
        frmStartupScreen.Dispose()

    End Sub

    Private Sub mnuFileExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileExit.Click
        'Ends the program
        End

    End Sub

    Private Sub LoanMenus_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
    mnuLoansHome.Click, mnuLoansCar.Click, mnuLoansConsumer.Click, mnuLoansStudent.Click, mnuLoansBusiness.Click
        'Determines which menu option was selected and sends user to that form
        'Passes along the type of loan
        Select Case sender.Text
            Case Is = "Business"
                gstrLoanType = "Business"
                Dim frmMonths As New frmMonths
                frmMonths.ShowDialog()
            Case Is = "Car"
                gstrLoanType = "Car"
                Dim frmMonths As New frmMonths
                frmMonths.ShowDialog()
            Case Is = "Consumer"
                gstrLoanType = "Consumer"
                Dim frmMonths As New frmMonths
                frmMonths.ShowDialog()
            Case Is = "Home"
                gstrLoanType = "Home"
                Dim frmYears As New frmYears
                frmYears.ShowDialog()
            Case Is = "Student"
                gstrLoanType = "Student"
                Dim frmYears As New frmYears
                frmYears.ShowDialog()
        End Select


    End Sub

    Private Sub frmLoanCalculators_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        End

    End Sub

    
    Private Sub frmLoanCalculators_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Displays the header in the RichTextBox
        DisplayHeader()
    End Sub

    Private Sub mnuSummaryClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSummaryClear.Click
        'Displays the header in the RichTextBox
        DisplayHeader()

        'Resets the loan total to 0
        gdecTotal = 0

    End Sub

    Private Sub mnuSummaryTotal_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuSummaryTotal.Click
        'Displays the loan total in the RichTextBox
        rtbOut.AppendText("Total:".PadRight(46) & gdecTotal.ToString("c").PadLeft(15) & vbNewLine)

    End Sub

    Private Sub DisplayHeader()
        'Clear RichTextBox and displays the header
        rtbOut.Clear()
        rtbOut.AppendText("               Dewey, Cheatam and Howe -- Online Banking" & vbNewLine)
        rtbOut.AppendText("                            Loan Calculator" & vbNewLine & vbNewLine)
        rtbOut.AppendText("Type             Amount         Rate    Length        Payment" & vbNewLine)

    End Sub
End Class
