﻿Public Class frmYears
    Dim mdecPrincipal As Decimal
    Dim msngRate As Single
    Dim mbytYears As Byte
    Dim mdecPayment As Decimal

    Private Sub frmYears_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Displays the loan type in the title bar
        Me.Text = gstrLoanType & " Loan"

    End Sub

    Private Sub btnPayment_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPayment.Click
        'Input
        mdecPrincipal = Convert.ToDecimal(txtPrincipal.Text)
        msngRate = nudRate.Value
        mbytYears = nudYears.Value

        'Processing
        mdecPayment = CalcPayment(mdecPrincipal, mbytYears, msngRate)

        'Output
        lblPayment.Text = mdecPayment.ToString("c")

    End Sub

    Private Sub btnAccept_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAccept.Click
        Dim strOut As String

        'Add to total payments
        gdecTotal += mdecPayment

        'Create output string for main form and display it
        strOut = gstrLoanType.PadRight(12) & mdecPrincipal.ToString("c").PadLeft(14) & _
        msngRate.ToString("n2").PadLeft(10) & "%" & mbytYears.ToString.PadLeft(4) & " Years  " & _
        mdecPayment.ToString("c").PadLeft(12) & vbNewLine

        frmLoanCalculators.rtbOut.AppendText(strOut)

        'Closes this form
        Me.Close()

    End Sub
End Class