'Prologue

Public Class frmMouseEvents

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        'Ends the program
        End

    End Sub

    Private Sub btnEvents_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles btnEvents.MouseUp
        'Displays "Up" when the mouse button is released
        lblUpDown.Text = "Up"

    End Sub

    Private Sub btnEvents_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles btnEvents.MouseDown
        'Displays "Down" when the mouse button is down
        lblUpDown.Text = "Down"

    End Sub

    Private Sub btnEvents_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEvents.MouseEnter
        'Displays "Enter" when the mouse enters the button
        lblEnterLeave.Text = "Enter"

    End Sub

    Private Sub btnEvents_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEvents.MouseHover
        'Displays "Hover" when the mouse first stops inside the button

        lblHover.Text = "Hover"
    End Sub


    Private Sub btnEvents_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEvents.MouseLeave
        'Displays "Leave" when the mouse leaves the button
        lblEnterLeave.Text = "Leave"

    End Sub

    Private Sub btnEvents_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles btnEvents.MouseMove
        'Finds and displays the x,y location of the mouse when it's inside the button

        Dim strOut As String
        Dim X As Integer
        Dim Y As Integer

        'X is x location on the button, Y is y locaton on the button
        X = e.X
        Y = e.Y

        strOut = X.ToString & ", " & Y.ToString

        lblHover.Text = strOut

    End Sub


    Private Sub frmMouseEvents_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Click
        'Displays "Click" when mouse is clicked on form
        lblDouble.Text = "Click"

    End Sub

    Private Sub frmMouseEvents_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.DoubleClick
        'Displays "Double" when mouse is double-clicked on form
        lblDouble.Text = "Double"

    End Sub


    Private Sub frmMouseEvents_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        'Finds and displays the x,y location of the mouse when it's on the form
        'Cannot track x,y location of mouse when its on other controls
        Dim strOut As String
        Dim X As Integer
        Dim Y As Integer

        'X is x location on the form, Y is y locaton on the form
        X = e.X
        Y = e.Y

        strOut = X.ToString & ", " & Y.ToString

        lblHover.Text = strOut

    End Sub

End Class
