﻿'Prologue


Public Class frmShiftDifferential
    'Declarations
    Private msngHours As Single
    Private mdecPayRate As Decimal
    Private mdecPay As Decimal
    Private msngShift As Single

    Private Sub frmShiftDifferential_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated
        'Discards startup screen
        frmStartup.Dispose()

    End Sub

    Private Sub frmShiftDifferential_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        End

    End Sub

    Private Sub CalcPay(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles txtHours.TextChanged, txtPayRate.TextChanged

        'Input
        'Makes sure TextBoxes have numbers in them
        If txtHours.Text <> "" And IsNumeric(txtHours.Text) Then
            msngHours = Convert.ToSingle(txtHours.Text)
        Else
            msngHours = 0
        End If

        If txtPayRate.Text <> "" And IsNumeric(txtPayRate.Text) Then
            mdecPayRate = Convert.ToDecimal(txtPayRate.Text)
        Else
            mdecPayRate = 0
        End If

        'Processing
        'Determines which RadioButton is selected
        ' and calls appropriate method
        If rad1st.Checked Then
            mdecPay = CalcWages(msngHours, mdecPayRate, msngShift)
        End If

        If rad2nd.Checked Then
            msngShift = 2
            mdecPay = CalcWages(msngHours, mdecPayRate)

        End If

        If rad3rd.Checked Then
            msngShift = 3
            mdecPay = CalcWages(msngHours, mdecPayRate)

        End If

        'Output
        lblPay.Text = mdecPay.ToString("c")

    End Sub

    Private Sub mnuFileExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileExit.Click
        End

    End Sub

    Private Sub mnuHelpAbout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuHelpAbout.Click
        Dim frmAbout As New frmAbout
        frmAbout.ShowDialog()

    End Sub

    Private Sub mnuHelpHelp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuHelpHelp.Click
        Dim frmAbout As New frmAbout
        frmAbout.ShowDialog()

    End Sub
End Class
