﻿'Prologue

Public Class frmTextEvents

    Private Sub txtDemo_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDemo.TextChanged
        Dim shoLength As Short

        'Gets and displays the number of characters entered
        shoLength = txtDemo.TextLength

        lblLength.Text = shoLength.ToString

    End Sub

    Private Sub txtLettersOnly_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLettersOnly.TextChanged
        'Clears the TextBox when a number is entered
        Dim strEntered As String
        Dim shoLength As Short
        Dim strLastEntered As String

        strEntered = txtLettersOnly.Text
        shoLength = txtLettersOnly.TextLength

        If shoLength > 0 Then
            strLastEntered = strEntered.Substring(shoLength - 1, 1)

            Select Case strLastEntered
                Case "0" To "9"
                    txtLettersOnly.Clear()
            End Select
        End If

    End Sub

    Private Sub txtLettersAgain_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLettersAgain.TextChanged
        'Allows text but no numbers to be entered
        Dim strEntered As String
        Dim shoLength As Short
        Dim strLastEntered As String

        strEntered = txtLettersAgain.Text
        shoLength = txtLettersAgain.TextLength

        If shoLength > 0 Then
            strLastEntered = strEntered.Substring(shoLength - 1, 1)

            Select Case strLastEntered
                Case "0" To "9"
                    txtLettersAgain.SelectionStart() = 0
                    txtLettersAgain.SelectionLength = shoLength - 1
                    txtLettersAgain.Copy()
                    txtLettersAgain.SelectAll()
                    txtLettersAgain.Paste()
            End Select
        End If

    End Sub

    Private Sub txtNoCaps_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNoCaps.TextChanged
        'Allows text but no digits or caps to be entered
        Dim strEntered As String
        Dim shoLength As Short
        Dim strLastEntered As String

        strEntered = txtNoCaps.Text
        shoLength = txtNoCaps.TextLength

        If shoLength > 0 Then
            strLastEntered = strEntered.Substring(shoLength - 1, 1)

            Select Case strLastEntered
                Case "0" To "9"
                    txtNoCaps.SelectionStart() = 0
                    txtNoCaps.SelectionLength = shoLength - 1
                    txtNoCaps.Copy()
                    txtNoCaps.SelectAll()
                    txtNoCaps.Paste()
                Case "A" To "Z"
                    txtNoCaps.SelectionStart() = 0
                    txtNoCaps.SelectionLength = shoLength - 1
                    txtNoCaps.Copy()
                    txtNoCaps.SelectAll()
                    txtNoCaps.Paste()
            End Select
        End If

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

End Class
