﻿Public Class frmSampleControls

    Private Sub lnkCUP_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkCUP.LinkClicked
        'Opens a browser to this webpage
        System.Diagnostics.Process.Start("http://www.cambridge.org")

    End Sub

    Private Sub frmSampleControls_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
        frmSplashScreen.Dispose()

    End Sub

    Private Sub lnkAuthor_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkAuthor.LinkClicked
        'Opens an email message to be sent to this address
        System.Diagnostics.Process.Start("mailto:Mac@Jim.McKeown.com")

    End Sub

    Private Sub lnkDiceDrag_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkDiceDrag.LinkClicked
        'Starts this application
        System.Diagnostics.Process.Start("DiceDrag.exe")
    End Sub

    Private Sub btnFill_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFill.Click
        'Fills ListBox with alphabetized list of all four-letter combinations
        'AAAA to ZZZZ
        'intCount tracks the number of items added to the ListBox and controls the ProgressBar
        Dim i, j, k, l As Integer
        Dim strFill As String
        Dim intCount As Integer
        For i = 65 To 90

            For j = 65 To 90

                For k = 65 To 90

                    For l = 65 To 90
                        strFill = Chr(i) & Chr(j) & Chr(k) & Chr(l)
                        lstSearch.Items.Add(strFill)
                        intCount += 1
                        prbDemo.Value = intCount
                    Next l
                Next k
            Next j
        Next i
        prbDemo.Value = 1

    End Sub

    Private Sub calMonthly_DateChanged(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DateRangeEventArgs) Handles calMonthly.DateChanged
        'Gets the selected day on the calendar
        'Converts the day of the week from 0 - 6 format (Sunday to Saturday)
        'to its day of the week
        Dim bytDayOfWeek As Byte
        Dim strDayOfWeek As String
        Dim datNow As Date

        bytDayOfWeek = calMonthly.SelectionStart.DayOfWeek

        Select Case bytDayOfWeek
            Case 0
                strDayOfWeek = "Sunday"
            Case 1
                strDayOfWeek = "Monday"
            Case 2
                strDayOfWeek = "Tuesday"
            Case 3
                strDayOfWeek = "Wednesday"
            Case 4
                strDayOfWeek = "Thursday"
            Case 5
                strDayOfWeek = "Friday"
            Case 6
                strDayOfWeek = "Saturday"

        End Select

        'Gets today's date
        datNow = calMonthly.SelectionStart

        lblMonth.Text = calMonthly.SelectionStart.Month
        lblDay.Text = calMonthly.SelectionStart.Day
        lblYear.Text = calMonthly.SelectionStart.Year
        lblDayOfWeek.Text = strDayOfWeek
        lblToday.Text = datNow.ToShortDateString

    End Sub

    Private Sub dtpCalendar_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dtpCalendar.ValueChanged
        'Gets the selected day on the calendar
        'Converts the day of the week from 0 - 6 format (Sunday to Saturday)
        'to its day of the week
        Dim bytDayOfWeek As Byte
        Dim strDayOfWeek As String
        Dim datNow As Date

        bytDayOfWeek = dtpCalendar.Value.DayOfWeek

        Select Case bytDayOfWeek
            Case 0
                strDayOfWeek = "Sunday"
            Case 1
                strDayOfWeek = "Monday"
            Case 2
                strDayOfWeek = "Tuesday"
            Case 3
                strDayOfWeek = "Wednesday"
            Case 4
                strDayOfWeek = "Thursday"
            Case 5
                strDayOfWeek = "Friday"
            Case 6
                strDayOfWeek = "Saturday"

        End Select

        'Gets today's date
        datNow = dtpCalendar.Value

        lblDTPMonth.Text = dtpCalendar.Value.Month
        lblDTPDay.Text = dtpCalendar.Value.Day
        lblDTPYear.Text = dtpCalendar.Value.Year
        lblDTPDayOfWeek.Text = strDayOfWeek
        lblDTPToday.Text = datNow.ToShortDateString

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub
End Class
