﻿Module Module1
    Public gstrLoanType As String
    Public gdecTotal As Decimal

    'Calculates monthly payment for a term in months
    Public Function CalcPayment(ByVal decPrincipal As Decimal, ByVal sngRate As Single, ByVal bytMonthly As Byte) As Decimal
        Return Math.Abs(Pmt(sngRate / 1200, bytMonthly, decPrincipal))

    End Function

    'Calculates monthly payment for a term in years
    Public Function CalcPayment(ByVal decPrincipal As Decimal, ByVal bytYears As Byte, ByVal sngRate As Single) As Decimal
        Return Math.Abs(Pmt(sngRate / 1200, bytYears * 12, decPrincipal))

    End Function

End Module
