﻿'Prologue


Public Class frmOverloading

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub btnAverage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAverage.Click
        'Calls the correct overloaded CalcAverage function depending on
        'the number of scores
        'Three different CalcAverage functions are used

        Dim shoTest1, shoTest2, shoTest3, shoTest4 As Short
        Dim sngAverage As Single

        If IsNumeric(txtTest1.Text) And IsNumeric(txtTest2.Text) Then
            'Input
            shoTest1 = txtTest1.Text
            shoTest2 = txtTest2.Text

            'Processing
            sngAverage = CalcAverage(shoTest1, shoTest2)
        End If

        If IsNumeric(txtTest1.Text) And IsNumeric(txtTest2.Text) And IsNumeric(txtTest3.Text) Then
            'Input
            shoTest1 = txtTest1.Text
            shoTest2 = txtTest2.Text
            shoTest3 = txtTest3.Text

            'Processing
            sngAverage = CalcAverage(shoTest1, shoTest2, shoTest3)
        End If

        If IsNumeric(txtTest1.Text) And IsNumeric(txtTest2.Text) And IsNumeric(txtTest3.Text) And IsNumeric(txtTest4.Text) Then
            'Input
            shoTest1 = txtTest1.Text
            shoTest2 = txtTest2.Text
            shoTest3 = txtTest3.Text
            shoTest4 = txtTest4.Text

            'Processing
            sngAverage = CalcAverage(shoTest1, shoTest2, shoTest3, shoTest4)
        End If

        'Output
        lblAverage.Text = sngAverage.ToString("n1")

    End Sub

    Private Function CalcAverage(ByVal shoScore1 As Short, ByVal shoScore2 As Short, ByVal shoScore3 As Short, ByVal shoScore4 As Short) As Single
        Return (shoScore1 + shoScore2 + shoScore3 + shoScore4) / 4

    End Function

    Private Function CalcAverage(ByVal shoScore1 As Short, ByVal shoScore2 As Short, ByVal shoScore3 As Short) As Single
        Return (shoScore1 + shoScore2 + shoScore3) / 3

    End Function

    Private Function CalcAverage(ByVal shoScore1 As Short, ByVal shoScore2 As Short) As Single
        Return (shoScore1 + shoScore2) / 2

    End Function

    Private Sub btnOptional_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOptional.Click
        'Calls the correct overloaded FindAverage function depending on
        'the number of scores
        'Only one FindAverage functions is used

        Dim shoTest1, shoTest2, shoTest3, shoTest4 As Short
        Dim sngAverage As Single

        If IsNumeric(txtTest1.Text) And IsNumeric(txtTest2.Text) Then
            'Input
            shoTest1 = txtTest1.Text
            shoTest2 = txtTest2.Text

            'Processing
            sngAverage = FindAverage(shoTest1, shoTest2)
        End If

        If IsNumeric(txtTest1.Text) And IsNumeric(txtTest2.Text) And IsNumeric(txtTest3.Text) Then
            'Input
            shoTest1 = txtTest1.Text
            shoTest2 = txtTest2.Text
            shoTest3 = txtTest3.Text

            'Processing
            sngAverage = FindAverage(shoTest1, shoTest2, shoTest3)
        End If

        If IsNumeric(txtTest1.Text) And IsNumeric(txtTest2.Text) And IsNumeric(txtTest3.Text) And IsNumeric(txtTest4.Text) Then
            'Input
            shoTest1 = txtTest1.Text
            shoTest2 = txtTest2.Text
            shoTest3 = txtTest3.Text
            shoTest4 = txtTest4.Text

            'Processing
            sngAverage = FindAverage(shoTest1, shoTest2, shoTest3, shoTest4)
        End If

        'Output
        lblAverage.Text = sngAverage.ToString("n1")

    End Sub

    Private Function FindAverage(ByVal shoScore1 As Short, ByVal shoScore2 As Short, Optional ByVal shoScore3 As Short = -1, Optional ByVal shoScore4 As Short = -1) As Single
        If shoScore4 >= 0 Then
            Return (shoScore1 + shoScore2 + shoScore3 + shoScore4) / 4
        Else
            If shoScore3 >= 0 Then
                Return (shoScore1 + shoScore2 + shoScore3) / 3
            Else
                Return (shoScore1 + shoScore2) / 2

            End If
        End If

    End Function

End Class
