﻿'Prologue


Public Class frmTextChangedSearch

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub frmTextChangedSearch_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.GotFocus
        frmSplashScreen.Dispose()

    End Sub

    Private Sub frmTextChangedSearch_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Fills ListBox with alphabetized list of all four-letter combinations
        'AAAA to ZZZZ

        Dim i, j, k, l As Integer
        Dim strFill As String

        For i = 65 To 90

            For j = 65 To 90

                For k = 65 To 90

                    For l = 65 To 90
                        strFill = Chr(i) & Chr(j) & Chr(k) & Chr(l)
                        lstSearch.Items.Add(strFill)

                    Next l
                Next k
            Next j
        Next i

    End Sub

    Private Sub txtSearch_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSearch.TextChanged
        'Declarations
        Dim strSearch As String
        Dim intHigh As Integer
        Dim intLow As Integer
        Dim intMiddle As Integer
        Dim blnDone As Boolean
        Dim bytLength As Byte
        Dim strLast As String
        Dim blnLower As Boolean = True

        Try
            'Input
            'Gets text from TextBox and determines length of string
            strSearch = txtSearch.Text
            bytLength = strSearch.Length

            'Finds last character entered
            If bytLength > 0 Then
                strLast = strSearch.ToUpper.Substring(bytLength - 1, 1)
            End If

            'If last character entered isn't a letter then remove character
            'Updates TextBox and reset values
            If Asc(strLast) < 65 Or Asc(strLast) > 90 Then
                strSearch = strSearch.TrimEnd(strLast)
                bytLength = strSearch.Length
                txtSearch.Text = strSearch
                txtSearch.SelectionStart = 4
                txtSearch.SelectionLength = 0

            End If

            'Checks to see if there are more than four characters in the string
            'Removes first character and keeps last four
            'Updates TextBox and reset values
            If bytLength > 4 Then
                strSearch = strSearch.Substring(1, 4)
                bytLength = 4
                txtSearch.Text = strSearch
                txtSearch.SelectionStart = 4
                txtSearch.SelectionLength = 0

            End If

            'Finds high end of ListBox
            intHigh = lstSearch.Items.Count - 1

            'Performs binary search on ListBox
            Do While intLow <= intHigh And Not blnDone
                intMiddle = (intLow + intHigh) \ 2
                If strSearch.Substring(0, bytLength).ToUpper = lstSearch.Items(intMiddle).substring(0, bytLength) Then
                    'Selects matching item
                    blnDone = True

                    'Checks to see if there's a match higher on the list
                    Do While blnLower
                        'Loops looks at next item higher on the list to see if it matches
                        If strSearch.Substring(0, bytLength).ToUpper = lstSearch.Items(intMiddle).substring(0, bytLength) Then
                            'Still matches to it backs up one more
                            intMiddle -= 1
                        Else
                            'No longer matches so it adds one to get back to the last match
                            'and ends the loop
                            intMiddle += 1
                            blnLower = False
                        End If
                    Loop

                    'Shows best match
                    lstSearch.SelectedIndex = intMiddle

                Else
                    If strSearch.ToUpper < lstSearch.Items(intMiddle).ToUpper Then
                        intHigh = intMiddle - 1
                    Else
                        intLow = intMiddle + 1
                    End If
                End If

                If bytLength = 0 Then
                    lstSearch.SelectedIndex = 0
                End If

            Loop
        Catch

        End Try

    End Sub

End Class
